package cn.com.qmth.examcloud.core.questions.service.bean;

import java.util.HashMap;
import java.util.Map;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;
import cn.com.qmth.examcloud.core.questions.dao.entity.Property;

public class CopyDataDto {

    private CopyDataCourseInfo course;

    private Long fromRootOrgId;

    private Long toRootOrgId;

    private User user;

    private String paperSuff;

    // 原属性对应的新属性id
    private Map<String, Property> souceIdMap = new HashMap<>();

    // 原question对应的新question id
    private Map<String, String> souceIdToQuestionMap = new HashMap<>();

    // 复制原卷类型
    private PaperType paperType = PaperType.IMPORT;

    public Long getToRootOrgId() {
        return toRootOrgId;
    }

    public void setToRootOrgId(Long toRootOrgId) {
        this.toRootOrgId = toRootOrgId;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Long getFromRootOrgId() {
        return fromRootOrgId;
    }

    public void setFromRootOrgId(Long fromRootOrgId) {
        this.fromRootOrgId = fromRootOrgId;
    }

    public CopyDataCourseInfo getCourse() {
        return course;
    }

    public void setCourse(CopyDataCourseInfo course) {
        this.course = course;
    }

    public CopyDataDto(CopyDataCourseInfo course, Long fromRootOrgId, Long toRootOrgId, User user, String paperSuff) {
        super();
        this.course = course;
        this.fromRootOrgId = fromRootOrgId;
        this.toRootOrgId = toRootOrgId;
        this.user = user;
        this.paperSuff = paperSuff;
    }

    public Map<String, Property> getSouceIdMap() {
        return souceIdMap;
    }

    public void setSouceIdMap(Map<String, Property> souceIdMap) {
        this.souceIdMap = souceIdMap;
    }

    public PaperType getPaperType() {
        return paperType;
    }

    public void setPaperType(PaperType paperType) {
        this.paperType = paperType;
    }

    public String getPaperSuff() {
        return paperSuff;
    }

    public void setPaperSuff(String paperSuff) {
        this.paperSuff = paperSuff;
    }

    public Map<String, String> getSouceIdToQuestionMap() {
        return souceIdToQuestionMap;
    }

    public void setSouceIdToQuestionMap(Map<String, String> souceIdToQuestionMap) {
        this.souceIdToQuestionMap = souceIdToQuestionMap;
    }

}
